package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkWholesaleInboundorderCommitRequest struct {
	/*
	   退货信息参数     */
	InboundInfoCommitReq *domain.AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq `json:"inbound_info_commit_req" required:"true" `
}

func (s *AlibabaWdkWholesaleInboundorderCommitRequest) SetInboundInfoCommitReq(v domain.AlibabaWdkWholesaleInboundorderCommitInboundInfoCommitReq) *AlibabaWdkWholesaleInboundorderCommitRequest {
	s.InboundInfoCommitReq = &v
	return s
}

func (req *AlibabaWdkWholesaleInboundorderCommitRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.InboundInfoCommitReq != nil {
		paramMap["inbound_info_commit_req"] = util.ConvertStruct(*req.InboundInfoCommitReq)
	}
	return paramMap
}

func (req *AlibabaWdkWholesaleInboundorderCommitRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
